"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var execa = require("execa");
/**
 * 判断指定命令行是否安装
 *
 * @param cmd 命令行
 * @param args 判断是否安装时的参数，默认为`['--version']`
 */
function isCmdInstalled(cmd, args) {
    if (args === void 0) { args = ['--version']; }
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var e_1;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    return [4 /*yield*/, execa(cmd, args)];
                case 1:
                    _a.sent();
                    return [2 /*return*/, true];
                case 2:
                    e_1 = _a.sent();
                    return [2 /*return*/, false];
                case 3: return [2 /*return*/];
            }
        });
    });
}
exports.default = isCmdInstalled;
//# sourceMappingURL=isCmdInstalled.js.map