"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var getInstallCmd_1 = tslib_1.__importDefault(require("./getInstallCmd"));
/**
 * 获取安装依赖的命令行
 *
 * @param deps 依赖
 * @param isDev 是否是开发依赖
 */
function getInstallDepsCmd(deps, isDev) {
    if (isDev === void 0) { isDev = false; }
    var cmd = getInstallCmd_1.default();
    if (cmd === 'npm') {
        return "npm add " + deps.join(' ') + " " + (isDev ? '--save' : '--save-dev');
    }
    return "yarn add " + deps.join(' ') + (isDev ? ' --dev' : '');
}
exports.default = getInstallDepsCmd;
//# sourceMappingURL=getInstallDepsCmd.js.map