"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/* eslint-disable no-console */
var chalk_1 = tslib_1.__importDefault(require("chalk"));
exports.successMessage = function (cmd, projectName) {
    console.log("  " + chalk_1.default.green('棒极了！') + "\u4F60\u73B0\u5728\u53EF\u4EE5\u7F16\u7801\u4E86\u3002\n        \n    \u5DF2\u7ECF\u8FD0\u884C\u4E86" + chalk_1.default.cyan(cmd + " install") + "\uFF0C\u63A5\u4E0B\u6765\uFF1A\n    " + chalk_1.default.cyan("cd " + projectName) + "\n\n    \u5F00\u59CB\u5F00\u53D1\uFF08\u5728\u53D8\u66F4\u65F6\u91CD\u65B0\u6784\u5EFA\uFF09\uFF1A\n    " + chalk_1.default.cyan("yarn start") + "\n\n    \u6253\u5305\uFF1A\n    " + chalk_1.default.cyan('yarn build') + "\n\n    \u6D4B\u8BD5\uFF1A\n    " + chalk_1.default.cyan('yarn test') + "\n  ");
};
exports.failureMessage = function (cmds) {
    console.error('\n\n' + "\u5B89\u88C5\u4F9D\u8D56\u5931\u8D25\uFF0C\u4F46\u662F\u9879\u76EE\u5DF2\u7ECF\u51C6\u5907\u597D\uFF0C\u8BF7\u6253\u5F00\u9879\u76EE\uFF0C\u6267\u884C\u4E0B\u9762\u7684\u547D\u4EE4\u884C\u5B89\u88C5\u76F8\u5173\u4F9D\u8D56\uFF1A" + '\n\n    ' + chalk_1.default.green(cmds.join('\n    ')) + '\n\n');
};
exports.dependenciesMessage = function (dependencies, devDependencies) {
    return "\u5B89\u88C5\u4F9D\u8D56\uFF1A" + '\n    ' + chalk_1.default.bold.cyan(dependencies.join('\n    ')) + '\n  devDependencies:\n    ' + chalk_1.default.bold.cyan(devDependencies.join('\n    '));
};
//# sourceMappingURL=messages.js.map